#
# spec file for package python-nitrokey
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-nitrokey
Version:        0.2.4
Release:        1.3
Summary:        Nitrokey Python SDK
License:        Apache-2.0
URL:            https://github.com/Nitrokey/nitrokey-sdk-py
Source:         https://files.pythonhosted.org/packages/source/n/nitrokey/nitrokey-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core >= 1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
The Nitrokey Python SDK can be used to use and configure Nitrokey devices.

%prep
%autosetup -p1 -n nitrokey-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSES LICENSES/Apache-2.0.txt LICENSES/MIT.txt
%{python_sitelib}/nitrokey
%{python_sitelib}/nitrokey-%{version}.dist-info

%changelog
* Tue Feb 18 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.2.4
  * The list methods of `NK3` and `NKPK` now only open the
    respective device, based on the USB vendor and product ID.
  * Use trusted publishing for PyPI.
  * Add support for `poetry-core` v2.
- Use Python 3.11 on SLE-15 by default
* Sun Nov 10 2024 Dirk Müller <dmueller@suse.com>
- Initial package (0.2.3)
